%=============================================================================
% Copyright (c) 2016-present Allan CORNET (Nelson)
%=============================================================================
% This file is part of the Nelson.
%=============================================================================
% LICENCE_BLOCK_BEGIN
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU Lesser General Public
% License as published by the Free Software Foundation; either
% version 2.1 of the License, or (at your option) any later version.
%
% Alternatively, you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2 of
% the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU Lesser General Public
% License along with this program. If not, see <http://www.gnu.org/licenses/>.
% LICENCE_BLOCK_END
%=============================================================================
wav_file = [modulepath('audio'), '/tests/6_Channel_ID.wav'];
info = audioinfo(wav_file);
assert_isequal(info.CompressionMethod, 'WAVX')
assert_isequal(info.NumChannels, [6.000000])
assert_isequal(info.SampleRate, [44100.000000])
assert_isequal(info.TotalSamples, [257411.000000])
assert_isapprox(info.Duration, [5.836984], 1e-5)
assert_isequal(info.Title, [])
assert_isequal(info.Comment, [])
assert_isequal(info.Artist, [])
assert_isequal(info.BitsPerSample, 16)
%=============================================================================
flac_file = [modulepath('audio'), '/tests/handel.flac'];
info = audioinfo(flac_file);
assert_isequal(info.CompressionMethod, 'FLAC');
assert_isequal(info.NumChannels, [1.000000]);
assert_isequal(info.SampleRate, [8192.000000]);
assert_isequal(info.TotalSamples, [73113.000000]);
assert_isapprox(info.Duration, [8.924927], 1e-5);
assert_isequal(info.Title, 'handel (title)');
assert_isequal(info.Comment, 'some comments');
assert_isequal(info.Artist, []);
assert_isequal(info.BitsPerSample, [16.000000]);
%=============================================================================
ogg_file = [modulepath('audio'), '/tests/flac_char.ogg'];
assert_checkerror('info = audioinfo(ogg_file);', _('Wrong value for #1 argument.'));
%=============================================================================

