%=============================================================================
% Copyright (c) 2016-present Allan CORNET (Nelson)
%=============================================================================
% This file is part of the Nelson.
%=============================================================================
% LICENCE_BLOCK_BEGIN
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU Lesser General Public
% License as published by the Free Software Foundation; either
% version 2.1 of the License, or (at your option) any later version.
%
% Alternatively, you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2 of
% the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU Lesser General Public
% License along with this program. If not, see <http://www.gnu.org/licenses/>.
% LICENCE_BLOCK_END
%=============================================================================
% <--EXCEL REQUIRED-->
%=============================================================================
assert_isequal(nargin('COM_xlswrite'), -3);
assert_isequal(nargout('COM_xlswrite'), -1);
%=============================================================================
if isfile([tempdir(), 'test_xlswrite_1.xlsx'])
  rmfile([tempdir(), 'test_xlswrite_1.xlsx']);
end
%=============================================================================
r = COM_xlswrite([tempdir(), 'test_xlswrite_1.xlsx'], eye(3, 3));
assert_istrue(r);
%=============================================================================
res = COM_xlsread([tempdir(), 'test_xlswrite_1.xlsx']);
assert_isequal(res, eye(3, 3));
%=============================================================================
if isfile([tempdir(), 'test_xlswrite_2.xlsx'])
  rmfile([tempdir(), 'test_xlswrite_2.xlsx']);
end
%=============================================================================
data = {'Time', 'Temp'; 12 98; 13 99; 14 97};
s = COM_xlswrite([tempdir(), 'test_xlswrite_2.xlsx'], data, 'Temperatures');
assert_istrue(s);
[r, s, d] = COM_xlsfinfo([tempdir(), 'test_xlswrite_2.xlsx']);
assert_isequal(s{1}, 'Temperatures');
%=============================================================================
