%=============================================================================
% Copyright (c) 2016-present Allan CORNET (Nelson)
%=============================================================================
% This file is part of the Nelson.
%=============================================================================
% LICENCE_BLOCK_BEGIN
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU Lesser General Public
% License as published by the Free Software Foundation; either
% version 2.1 of the License, or (at your option) any later version.
%
% Alternatively, you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2 of
% the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU Lesser General Public
% License along with this program. If not, see <http://www.gnu.org/licenses/>.
% LICENCE_BLOCK_END
%=============================================================================
assert_isequal(nargin('sqrt'), 1)
assert_isequal(nargout('sqrt'), 1)
%=============================================================================
R = sqrt(-1);
REF = complex(0, 1);
assert_isapprox(R, REF, 1e-4);
%=============================================================================
R = sqrt(3);
REF = 1.7321;
assert_isapprox(R, REF, 1e-4);
%=============================================================================
R = sqrt(3+i);
REF = 1.7553 + 0.2848i;
assert_isapprox(real(R), real(REF), 1e-3);
assert_isapprox(imag(R), imag(REF), 1e-3);
%=============================================================================
R = sqrt(single(-1));
REF = single(complex(0, 1));
assert_isapprox(R, REF, 1e-3);
%=============================================================================
R = sqrt(single(3+i));
REF = single(1.7553 + 0.2848i);
assert_isapprox(real(R), real(REF), 1e-3);
assert_isapprox(imag(R), imag(REF), 1e-3);
%=============================================================================
R = sqrt(eye(3,2));
REF = [1  0;
  0     1;
  0  0];
assert_isapprox(R, REF, 1e-4);
%=============================================================================
R = sqrt(NaN);
REF = NaN;
assert_isequal(R, REF);
%=============================================================================
R = sqrt(-2:0.5:2);
REF = [ 1.4142i  1.2247i  1.0000i  0.7071i  0.0000i  0.7071+0.0000i  1.0000+0.0000i  1.2247+0.0000i  1.4142+0.0000i];
assert_isapprox(real(R), real(REF), 1e-3);
assert_isapprox(imag(R), imag(REF), 1e-3);
%=============================================================================
